KArtsFloatWatch Class Reference

`#include <kartsfloatwatch.h>`

Inherits QObject.

## Signals

void | valueChanged (float newValue)

## Public Member Functions

| KArtsFloatWatch (Arts::Object object, const char *stream, QObject *parent=0, const char *name=0)
| ~KArtsFloatWatch ()

## Friends

class | Arts::KFloatWatchProxy_impl

## Detailed Description

KArtsFloatWatch offers an easy way to watch aRts streams via Qt signals.

For instance, if you have an object of the following type:

interface StereoVolumeControl : StereoEffect {
attribute float scaleFactor;
readonly attribute float currentVolumeLeft;
readonly attribute float currentVolumeRight;
};

and you want to get notified when scaleFactor changes, you could do it like this:

StereoVolumeControl stereoVolumeControl = ...;
KArtsFloatWatch *w = new KArtsFloatWatch(stereoVolumeControl, "scaleFactor_changed", this);
connect(w, SIGNAL(valueChanged(float)), this, SLOT(setValue(float)));

Definition at line 50 of file kartsfloatwatch.h.

## Constructor & Destructor Documentation

KArtsFloatWatch::KArtsFloatWatch | ( | Arts::Object | object,
|  | const char * | stream,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructor.

Parameters

  object | the aRts object that should be watched
  stream | the aRts stream that should be watched
  parent | the parent Qt object
  name | the Qt object name of this object

Definition at line 48 of file kartsfloatwatch.cpp.

KArtsFloatWatch::~KArtsFloatWatch | ( |  | ) |

Destructor.

Definition at line 56 of file kartsfloatwatch.cpp.

## Member Function Documentation

void KArtsFloatWatch::valueChanged | ( | float | newValue | ) |

signal

this signal will be emitted with values of the aRts stream

The documentation for this class was generated from the following files:

- kartsfloatwatch.h
- kartsfloatwatch.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys